Skip to main content
GET
List images

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

7

Query Parameters

architecture
enum<string>

Filter by image architecture.

Available options:
aarch64,
x86_64
Example:

"x86_64"

include_prices
boolean

Show price.

limit
integer
default:1000

Optional. Limit the number of returned items

Required range: x <= 1000
Example:

1000

name
string

Filter by image name (case-insensitive substring match)

Example:

"ubuntu"

offset
integer
default:0

Optional. Offset value is used to exclude the first set of records from the result

Required range: x >= 0
Example:

0

os_distro
string

Filter by OS distribution (case-insensitive). E.g. ubuntu, centos, debian

Example:

"ubuntu"

os_version
string

Filter by OS version (case-insensitive). E.g. 22.04

Example:

"22.04"

private
string

Any value to show private images

tag_key
string[]

Optional. Filter by tag keys. ?tag_key=key1&tag_key=key2

Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character. Trailing or leading whitespaces will be stripped.

Required string length: 1 - 255
Pattern: ^[^\s=]+$
Example:
tag_key_value
string

Optional. Filter by tag key-value pairs.

Example:
visibility
enum<string>

Image visibility. Globally visible images are public

Available options:
private,
public,
shared

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
Image schema · object[]
required

Objects